Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::EdgeData::Triangle Struct Reference

Basic triangle structure. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes
size_t | indexSet
| The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.).
size_t | vertexSet
| The vertex set these vertices came from.
size_t | vertIndex [3]
size_t | sharedVertIndex [3]
| Vertex indexes, relative to the original buffer.

## Detailed Description

Basic triangle structure.

Definition at line 51 of file OgreEdgeListBuilder.h.

## Member Data Documentation

size_t Ogre::EdgeData::Triangle::indexSet

| The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.). Definition at line 54 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::sharedVertIndex[3]

| Vertex indexes, relative to the original buffer. Definition at line 58 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::vertexSet

| The vertex set these vertices came from. Definition at line 56 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::vertIndex[3]

| Definition at line 57 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:12 2007